#ifndef textureOpsH
#define textureOpsH

#include <GL\gl.h>

template<GLenum target>
class TexOps
{
public:
	static GLuint GenerateID()
	{
		GLuint ID;
		glGenTextures(1, &ID);
		return ID;
	}
	static void Bind(GLuint ID)
	{
		glBindTexture(target, ID);
	}
	static void Destroy(GLuint ID)
	{
		glDeleteTextures(1, &ID);
	}
};

#endif