#ifndef vertexprogramopsH
#define vertexprogramopsH

#include "glincludes.h"
#include "arbprogramops.h"

class NVProgramOps
{
public:
	static GLuint GenerateID()
	{
		GLuint ID;
		glGenProgramsNV(1, &ID);
		return ID;
	}

	static void Destroy(GLuint ID)
	{
		glDeleteProgramsNV(1, &ID);
	}

	static void Bind(GLuint ID)
	{
		if(ID != currentID)
		{
			glBindProgramNV(GL_VERTEX_PROGRAM_NV, ID);
			currentID = ID;
		}
	}
private:
	static GLuint currentID;
};

GLuint NVProgramOps::currentID = 0;

#endif