#ifndef arbprogramopsH
#define arbprogramopsH

template<GLenum target>
class ARBProgramOps
{
public:
	static GLuint GenerateID()
	{
		GLuint ID;
		glGenProgramsARB(1, &ID);
		return ID;
	}

	static void Destroy(GLuint ID)
	{
		glDeleteProgramsARB(1, &ID);
	}

	static void Bind(GLuint ID)
	{
		if(ID != currentID)
		{
			glBindProgramARB(target, ID);
			currentID = ID;
		}
	}
private:
	static GLuint currentID;
};

template<GLenum target>
GLuint ARBProgramOps<target>::currentID = 0;


#endif